Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalToolBarUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ToolBarUI
                  |
                  +--javax.swing.plaf.basic.BasicToolBarUI
                        |
                        +--javax.swing.plaf.metal.MetalToolBarUI

public class MetalToolBarUI
extends BasicToolBarUI

A Metal Look and Feel implementation of ToolBarUI. This implementation is a "combined" view/controller.

Inner Class Summary
`protected class` | `MetalToolBarUI.MetalContainerListener`
`protected class` | `MetalToolBarUI.MetalDockingListener`
`protected class` | `MetalToolBarUI.MetalRolloverListener`

Inner classes inherited from class javax.swing.plaf.basic.BasicToolBarUI
`BasicToolBarUI.DockingListener, BasicToolBarUI.DragWindow, BasicToolBarUI.FrameListener, BasicToolBarUI.PropertyListener, BasicToolBarUI.ToolBarContListener, BasicToolBarUI.ToolBarFocusListener`

Field Summary
`protected java.awt.event.ContainerListener` | `contListener`
`protected java.beans.PropertyChangeListener` | `rolloverListener`

Fields inherited from class javax.swing.plaf.basic.BasicToolBarUI
`dockingBorderColor, dockingColor, dockingListener, downKey, dragWindow, floatingBorderColor, floatingColor, focusedCompIndex, leftKey, propertyListener, rightKey, toolBar, toolBarContListener, toolBarFocusListener, upKey`

Constructor Summary
`MetalToolBarUI()`

Method Summary
`protected java.awt.event.ContainerListener` | `createContainerListener()`
`protected MouseInputListener` | `createDockingListener()`
`protected java.beans.PropertyChangeListener` | `createRolloverListener()`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `installListeners()`
`protected void` | `installNonRolloverBorders(JComponent c)`
`protected void` | `installNormalBorders(JComponent c)`
`protected void` | `installRolloverBorders(JComponent c)`
`void` | `installUI(JComponent c)`
`boolean` | `isRolloverBorders()`
`protected void` | `setBorderToNonRollover(java.awt.Component c)`
`protected void` | `setBorderToNormal(java.awt.Component c)`
`protected void` | `setBorderToRollover(java.awt.Component c)`
`protected void` | `setDragOffset(java.awt.Point p)`
`void` | `setRolloverBorders(boolean rollover)`
`protected void` | `uninstallListeners()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicToolBarUI
`canDock, createDragWindow, createFloatingFrame, createFrameListener, createPropertyListener, createToolBarContListener, createToolBarFocusListener, dragTo, floatAt, getDockingColor, getFloatingColor, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, isFloating, navigateFocusedComp, setDockingColor, setFloating, setFloatingColor, setFloatingLocation, setOrientation, uninstallComponents, uninstallDefaults, uninstallKeyboardActions`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contListener

    protected java.awt.event.ContainerListener contListener

### rolloverListener

    protected java.beans.PropertyChangeListener rolloverListener

Constructor Detail

### MetalToolBarUI

    public MetalToolBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    installUI in class BasicToolBarUI

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class BasicToolBarUI

### installListeners

    protected void installListeners()

  Overrides:
    installListeners in class BasicToolBarUI

### uninstallListeners

    protected void uninstallListeners()

  Overrides:
    uninstallListeners in class BasicToolBarUI

### createContainerListener

    protected java.awt.event.ContainerListener createContainerListener()

### createRolloverListener

    protected java.beans.PropertyChangeListener createRolloverListener()

### createDockingListener

    protected MouseInputListener createDockingListener()

  Overrides:
    createDockingListener in class BasicToolBarUI

### setDragOffset

    protected void setDragOffset(java.awt.Point p)

### isRolloverBorders

    public boolean isRolloverBorders()

### setRolloverBorders

    public void setRolloverBorders(boolean rollover)

### installRolloverBorders

    protected void installRolloverBorders(JComponent c)

### installNonRolloverBorders

    protected void installNonRolloverBorders(JComponent c)

### installNormalBorders

    protected void installNormalBorders(JComponent c)

### setBorderToRollover

    protected void setBorderToRollover(java.awt.Component c)

### setBorderToNonRollover

    protected void setBorderToNonRollover(java.awt.Component c)

### setBorderToNormal

    protected void setBorderToNormal(java.awt.Component c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.